rule Top("Title")=TopMargin && CenterX("Title") = (PgLeft + PgRight)/2.
penalty Abs(BalanceX) + Abs(BalanceY)
rule x !== "Title" -> x Below "Title"
rule x !== "Caption" -> x Above "Caption"

rule CenterX("Caption") = (PgLeft + PgRight)/2. && Bottom("Caption")=PgBottom

neighb(x,y) !(x Above y) && !(x Below y)
dist_x(x,y) Abs(CenterX(x)-CenterX(y)-0.5*(Width(x)+Width(y)))

rule neighb(x,y) -> (dist_x(x,y) > (PgRight - PgLeft)/5.)

penalty Abs(BalanceX) + Abs(BalanceY)

